/*
 * $Id: 41fbdfd6765739984cd7d6e2317e680e1df7e7f2 $
 *
 * This file is part of nsmtp.
 *
 * Copyright (c) 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                          http://www.nevm.de/nsmtp/
 *                          NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNSMTP_ALLOC_H
#define HAD_LIBNSMTP_ALLOC_H

#include <sys/types.h>

long long nsm_alloc_reset(long long);
int nsm_alloc_check(void);

void *nsm_calloc(size_t, size_t);
void *nsm_malloc(size_t);
void *nsm_realloc(void *, size_t);

char *nsm_strdup(const char *);
void nsm_asprintf(char **, const char *, ...);

void nsm_free(void *);

#endif
