/*
 * $Id: 0d24dd379e829559810c14f63e8f659e0cd1a13d $
 *
 * This file is part of nsmtp.
 *
 * Copyright (c) 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                          http://www.nevm.de/nsmtp/
 *                          NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNSMTP_GREYLIST_H
#define HAD_LIBNSMTP_GREYLIST_H

#include "ntl.h"

int want_greylisting(const char *, NTL_ATTR **, NTL_ATTR **, int);

int greylist_rcpt(const char *, const char *, const char *);
void cleanup_greylist_rcpt(void);

int greylist_spf(const char *, const char *);
void cleanup_greylist_spf(void);

int whitelist_host(const char *);
void cleanup_whitelist_host(void);

void cleanup_greylist_generic(const char *, const char *, int, int);
int greylist_generic(const char *, const char *, const char *, int);

#endif
