/*
 * $Id: ae5738c0cb32e1a5870c9786ad98ba6008765d9a $
 *
 * This file is part of nsmtp.
 *
 * Copyright (c) 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                          http://www.nevm.de/nsmtp/
 *                          NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNSMTP_MISC_H
#define HAD_LIBNSMTP_MISC_H

#include "ldap.h"

int ldap_ld_free(LDAP *, int, LDAPControl **, LDAPControl **);

void drop_privileges(unsigned int, unsigned int, const char *);
void daemonize(void);
void read_ldap_cfg(void);
void free_ldap_cfg(void);
void write_pid_file(const char *);
void ldap_connect(LDAP **);
int ldap_reconnect(LDAP **);

#endif
