/*
 * $Id: 9baad64d14228e8d290467126ee22135f60d6127 $
 *
 * This file is part of nsmtp.
 *
 * Copyright (c) 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                          http://www.nevm.de/nsmtp/
 *                          NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNSMTP_NDN_H
#define HAD_LIBNSMTP_NDN_H

#include "smtp.h"

int ndn_tooold(const SMTP_CTX *, const char **, time_t);
int ndn_bounce(const SMTP_CTX *, const char **, const char *, const char *, const char *, time_t);
int ndn_generic(const SMTP_CTX *, const char *, const char **, const char *, const char *, const char *, time_t);

#endif
